lp:ubuntu/wily-proposed/ntop

Created by Ubuntu Package Importer on 2015-10-21 and last modified on 2015-10-21
Get this branch:
bzr branch lp:ubuntu/wily-proposed/ntop
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

23. By Logan Rosen on 2015-10-21

Build-depend on librrd-dev instead of removed librrd2-dev.

22. By Artur Rona on 2015-02-19

* Merge from Debian unstable. Remaining changes:
  - debian/rules: (Closes: #743134)
    + Use dh_autotools-dev to update config.* for new ports.
  - debian/patches/kfreebsd-ftbfs.patch:
    + Fix broken preprocessor ifdefs.

21. By Adam Conrad on 2014-03-30

* debian/rules: use dh_autotools-dev to update config.* for new ports.
* debian/patches/kfreebsd-ftbfs.patch: fix broken preprocessor ifdefs.

20. By Ludovico Cavedon on 2014-03-01

* Use system jquery js and css (Closes: #737444).
* Include non-minimized source for jquery.jqplot.js (Closes: #737444).
* Add versioncheck.patch to fix handling and documentation of
  --skip-version-check command line option (Closes: #737917).
* Update Standards-Version to 3.9.5.

19. By Ludovico Cavedon on 2013-09-12

* Imported Upstream version 5.0.1+dfsg1
* Update copyright.
* Update NEWS about this being the last release.
* Make ndpi svn revsion optional in the package version string.
* Remove patches merged upstream:
  - tcp-option-parsing.patch
  - l7_major_proto-fix.patch
  - install-jqplot.patch
  - remove-fragment-handling.patch
* Refresh other pacthes.
* Update debian/copyright, listing html/JSCookMenu.js correctly as MIT
  license (Closes: #696749).
* Add dependency on python.
* Update Japanese debconf translation (Closes: #715284).
* Update Vcs fileds to canonical form.
* Update Standards-Versions to 3.9.4.

18. By Ludovico Cavedon on 2013-02-28

* Repackage source removing stale license notice from protocls.c
  (Closes: #695424).
* Remove IP fragment handling code (Closes: #700442).
* Disable OpenSSL (thanks to Giovanni Rapagnani, Closes: #695422).

17. By Ludovico Cavedon on 2012-11-30

* Repackage upstream source replacing non-DFSG countmin code with the GPL
  one (Closes: #692732).
* Update Maintainer and Uploaders.

16. By Ludovico Cavedon on 2012-06-27

* Imported Upstream version 4.99.3 and nDPI r5517.
* get-orig-source.sh: incude nDPI in the orig tarball.
* No longer suggest ntop-graphs and update NEWS about that.
* Update copyright for the new jqPlot library.
* Refresh patches.
* Enable hardening flags.
* Add install-jqplot.patch to install jqPlot.

15. By Ludovico Cavedon on 2012-03-19

* Imported Upstream version 4.99+rc and nDPI r5237.
* Update Dutch debconf template transation by Jeroen Schot
  <email address hidden> (Closes: #650750).
* Update Galician debconf translation by Anxo Outeiral (Closes: #626699).
* Add Polish debconf translation by Michał Kułach (Closes: #660884).
* Remove non-free Highcharts JS API from upstream tarball, document it in
  debian/NEWS, and suggest ntop-graphs package.
* Remove commands to stop ntop in prerm script, as they are already added by
  debhelper.
* Use "none" as default interface if no previous configuration exist.
* Remove check for existing interaces during config.
* Fix init script failure in some cases (Closes: #649639).
* Add build dependency on groff for documentation generation
  (Closes: #633956).
* Update watch file for upstream "-rc" suffix.
* Refresh patches.
* Add do-not-require-svn.patch to remove unneeded dependecy on svn.
* Update reduce-autogen-purged-files.patch so nDPI is not be removed on
  cleanup.
* Removed no longer needed dependency on mochikit.
* Update Standards-Version to 3.9.3.
* Add separate package for debug symbols.
* Update copyright for new upstream version.
* Add l7_major_proto-fix.patch and tcp-option-parsing.patch to fix crashes.
* Build-Depends on libpng-dev to allow linpng transitions (Closes: #662447).
* Prevent the init script to exit with an error if one of the configured
  interaces is not available (Closes: #662212, LP: #402215).
* Add /sbin path to invocation of start-stop-daemon (Closes: #350693).
* Add status command to init script (Closes: #513779, LP: #323717).
* Refresh & fix patches.
* Add LSB description to init script.
* Re-enable DNS resolution.

14. By Ludovico Cavedon on 2011-08-20

* New upstream version (Closes: #520266, LP: #365145, LP: #777801).
* Add kfreebsd-ftbfs.patch by Christoph Egger to fix FTBS under kFreeBSD
  (Closes: #636389).
* Update Brazilian debconf messages translation by Eder L. Marques
  (Closes: #629113).
* Update po files.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/ntop
This branch contains Public information 
Everyone can see this information.

Subscribers